Bind or Register User via Mobile or Email
Call this interface when using a mobile number or email to bind a platform user or to register a user. Before calling this interface, you need to obtain a temporary token through the WeChat Mini Program Login Interface.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Example |
|---|---|---|---|---|
| X-operating-sys-version | Client Operating System Version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Client Device Fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Client IP | No | String | 192.168.1.2 |
| X-agent | User-Agent Information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) |
| X-L | Used for Internationalization Language Settings | No | String | zh |
| X-client-id | Application Authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
| X-state-token | Temporary Token | Yes | String | eyJhbcOiJ……nEPRiIC4we0 |
| content-type | Content Format Type | Yes | String | application/json |
Request Example
- Mobile Number + SMS Verification Code
json
{
"mobile":"11012345678",
"verify_code":"232326"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| mobile | Mobile Number | Yes | String | Mobile number that receives the verification code |
| verify_code | SMS Verification Code | Yes | String | Received verification code To obtain the verification code, please refer to the Send SMS Verification Code Interface type = REGISTER_SMS |
- Email + Email Verification Code
json
{
"email":"zhangsan@qq.com",
"verify_code":"123456"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| Yes | String | Email that receives the verification code | ||
| verify_code | Email Verification Code | Yes | String | Received verification code To obtain the verification code, please refer to the Send Email Verification Code Interface type = REGISTER_EMS |
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"session_token": "btsiBjx85prcZu6I6Ki057Tmw3nSF2VO",
"expire": 432000,
"status": "SUCCESS",
"id_token": "eyJraWQn0.eyJpc3MiOiJodHR…g1A7jG8O0uw"
}Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "IDAAS.SDK.COMMON.1007",
"error_msg": "state_token parameter error"
}Response Parameters
| Parameter Name | Name | Type | Description |
|---|---|---|---|
| status | Login Flow Status Identifier | String | SUCCESS: Login successful SOCIAL_BIND: Bind flow USER_REGISTER: Auto-register and bind flow ACCESS_DENIED: Access denied MFA_AUTH: Secondary authentication |
| expire | session_token Validity Period | Number | session_token validity period |
| session_token | User session_token | String | User session_token |
| id_token | Identity Token of the Logged-in User, Short-term Valid | String | This field is in JWT format and contains user identity information. You can refer to "Get User Information from id_token" to obtain user information. The token validity period defaults to 5 minutes. |